List effective price table rows for one article
Returns price table rows for the specified article, with support for date overlap filters and classification/payment filters.
In: header
Path Parameters
Query Parameters
Filter by article ID using operators eq/in
Filter interval start date (Y-m-d)
dateFilter interval end date (Y-m-d)
dateFilter prices valid on a specific date (Y-m-d)
dateFilter by creation timestamp using operators gte/lte/eq
date-timeFilter by update timestamp using operators gte/lte/eq
date-timeFilter by classification code using operators eq/in
Filter by payment method code using operators eq/in
Filter by price type using operator eq
Operators: eq, in. Example: filter[article_id][eq]=value
Operators: gte, lte, eq. Example: filter[created_at][gte]=value
date-timeOperators: gte, lte, eq. Example: filter[updated_at][gte]=value
date-timeOperators: eq, in. Example: filter[classification_code][eq]=value
Operators: eq, in. Example: filter[payment_method_code][eq]=value
Operators: eq. Example: filter[price_type][eq]=value
Page number. Default 1; a value below 1 counts as 1.
11 <= valueItems per page. Default 50, maximum 250; a larger value is truncated to 250.
501 <= value <= 250Response Body
curl -X GET "https://og-tenant1.test:8003/api/v2/stocks/articles/string/prices-table?article_id=string&start_date=2019-08-24&end_date=2019-08-24&date=2019-08-24&created_at=2019-08-24T14%3A15%3A22Z&updated_at=2019-08-24T14%3A15%3A22Z&classification_code=string&payment_method_code=string&price_type=string&filter%5Barticle_id%5D%5Boperator%5D=string&filter%5Bcreated_at%5D%5Boperator%5D=2019-08-24T14%3A15%3A22Z&filter%5Bupdated_at%5D%5Boperator%5D=2019-08-24T14%3A15%3A22Z&filter%5Bclassification_code%5D%5Boperator%5D=string&filter%5Bpayment_method_code%5D%5Boperator%5D=string&filter%5Bprice_type%5D%5Boperator%5D=string&page=1&limit=50"{
"data": [
{
"id": 0,
"type": "string",
"description": "string",
"article_id": "string",
"classification_id": "string",
"payment_method_id": "string",
"price": 0,
"discount_perc": 0,
"discount_perc2": 0,
"discount_perc3": 0,
"discount_perc4": 0,
"discount_perc5": 0,
"discount_type": "string",
"label": "string",
"start_date": "2019-08-24T14:15:22Z",
"end_date": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"updated_by": "string",
"created_at": "2019-08-24T14:15:22Z",
"created_by": "string"
}
],
"meta": {
"per_page": 50,
"current_page": 1,
"has_more": true
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}{
"data": {
"code": "VALIDATION_FAILED",
"message": "The given data was invalid.",
"errors": {
"email": [
"The email field is required."
]
}
},
"meta": {
"trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
}
}